Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## swarm.objectbase
Interface VarProbeS

All Known Implementing Classes:
  VarProbeCImpl, VarProbeImpl

public interface VarProbeS
extends ProbeS

A class that allows the user to inspect a given variable in any candidate that is an instance of, or inherits from, a given class.. This is a specialized subclass of the abstract class Probe. It completes the specification of a probe that refers to an instance variable element of an object.

Method Summary
`java.lang.Object` | `setFloatFormat(java.lang.String format)` The setFloatFormat: method sets the floating-point format of a GUI display widget when given a sprintf-style formatting string.
`java.lang.Object` | `setNonInteractive()` The setNonInteractive method sets a VarProbe to be non-interactive.
`java.lang.Object` | `setStringReturnType(java.lang.Object returnType)` The setStringReturnType: method sets the format that will be used to print the variable.

Methods inherited from interface swarm.objectbase.ProbeS
`setSafety, unsetSafety`

Method Detail

### setNonInteractive

    public java.lang.Object setNonInteractive()

  The setNonInteractive method sets a VarProbe to be non-interactive. This ensures that the user will not be able to change the value of a probe, only observe it. Setting the VarProbe to be non-interactive will not interfere with the drag and drop capability of the objects into the VarProbe field.

### setStringReturnType

    public java.lang.Object setStringReturnType(java.lang.Object returnType)

  The setStringReturnType: method sets the format that will be used to print the variable. When the probedVariable is of type unsigned char or char, the method probeAsString will, by default, return a string of the format: "'%c' %d". This is meant to reflect the commonplace use of an unsigned char as a small int.

### setFloatFormat

    public java.lang.Object setFloatFormat(java.lang.String format)

  The setFloatFormat: method sets the floating-point format of a GUI display widget when given a sprintf-style formatting string.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD